Не могу открыть свой сервер разработки (localhost: 3000)

Я только что сделал свое первое приложение для реагирования на рабочем столе и очищаю свой компьютер от медлительности. Затем, когда я открываю свое приложение для реагирования и нажимаю

npm start -> эта ошибка выскакивала

module.js:549
throw err;
^

Error: Cannot find module './lib/compat'
at Function.Module._resolveFilename (module.js:547:15)
at Function.Module._load (module.js:474:25)
at Module.require (module.js:596:17)
at require (internal/module.js:11:18)
at Object.<anonymous> (C:\Users\Azran\Desktop\try\node_modules\raw-body\node_modules\depd\index.js:11:24)
at Module._compile (module.js:652:30)
at Object.Module._extensions..js (module.js:663:10)
at Module.load (module.js:565:32)
at tryModuleLoad (module.js:505:12)
at Function.Module._load (module.js:497:3)
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! try@0.1.0 start: `react-scripts start`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the try@0.1.0 start script.
npm ERR! This is probably not a problem with npm. There is likely additional                             logging output above.

npm ERR! A complete log of this run can be`enter code here` found in:
npm ERR!     C:\Users\Azran\AppData\Roaming\npm-cache\_logs\2018-09-13T18_11_38_805Z-debug.log

Как указано в вашем сообщении об ошибке, похоже, что "./lib/compat" отсутствует или удален.

wonhee 14.09.2018 02:03
0
1
831
2
Перейти к ответу Данный вопрос помечен как решенный

Ответы 2

Ответ принят как подходящий

Затем снова установите модули npm

npm install

Или, если вы используете пряжу:

yarn install
//or, just
yarn

После этого вы сможете запустить проект в обычном режиме:

npm start

// or,
yarn start

Удалите папку node-modules, а затем запустите

npm install

Спасибо, что ответили мне ... и все равно выскакивает та же ошибка

Azran Azwer 13.09.2018 21:22

запустите npm list -g --depth 0 и поделитесь результатом здесь. Возможно, есть проблема с вашими глобальными пакетами

sultan aslam 14.09.2018 07:43

Другие вопросы по теме